# Post a journal transaction to the ERP. (deprecated) Endpoint: POST /api/v1/clients/{clientId}/journal-transaction Version: 1 Security: , , , ## Path parameters: - `clientId` (string, required) The id of the client ## Request fields (application/json): - `currency` (string, required) The currency of the transaction. - `autoUpdate` (boolean) Indicate if the transaction should be auto updated. - `journalTransactionOptions` (string,null) Additional options and configurations for ERP transactions. - `voucherSeriesNumber` (string, required) The voucher series number. - `valueDate` (string,null) The value date of the batch. If there is no value date on lines this will be used. - `journalTransactionLine` (array) The journal transaction lines. - `journalTransactionLine.id` (string, required) The line Id. - `journalTransactionLine.accountNumber` (string, required) The Account number (e.g., 1910). - `journalTransactionLine.referenceNumber` (string, required) External line reference. - `journalTransactionLine.amount` (number, required) The amount of the transaction. - `journalTransactionLine.bookingDate` (string, required) The booking date of the transaction. - `journalTransactionLine.valueDate` (string,null) The value date of the transaction. - `journalTransactionLine.description` (string,null) The description of the transaction. - `journalTransactionLine.units` (array,null) The units of the transaction. - `journalTransactionLine.units.unitId` (string, required) The unit ERP field name. - `journalTransactionLine.units.unitOptionValueId` (string, required) The option value. ## Response 200 fields